<div class="relative font-rubik text-primary">
    <img class="absolute top-0 z-0" src="../../../assets/bookpage/header.svg" alt="">
    <button routerLink="/book" class="absolute top-7 left-14 z-10">
        <svg xmlns="http://www.w3.org/2000/svg" width="60" height="60" viewBox="0 0 60 60" fill="none">
            <path d="M47.5 30H12.5" stroke="white" stroke-width="4" stroke-linecap="round" stroke-linejoin="round" />
            <path d="M30 47.5L12.5 30L30 12.5" stroke="white" stroke-width="4" stroke-linecap="round"
                stroke-linejoin="round" />
        </svg>
    </button>
    <div class="w-full h-[1000px] bg-gray-200 flex justify-center items-center">
        <div class="bg-white w-[1150px] h-[700px] absolute z-10 top-32 ">
            <h1 class="font-semibold text-2xl flex justify-center items-center mt-9">Add New Book</h1>
            <div class="flex justify-center items-center mt-5">
                <form [formGroup]="formBook" class="grid grid-cols-2 w-[800px] h-auto" >
                    <div class="flex items-center justify-center w-full">
                        <label for="dropzone-file"
                            class="flex flex-col items-center justify-center w-[300px] h-[300px] border-2 border-gray-300 rounded-lg cursor-pointer bg-gray-50 dark:hover:bg-bray-800 dark:bg-gray-700 hover:bg-gray-100 dark:border-gray-600 dark:hover:border-gray-500 dark:hover:bg-gray-600">
                            <div *ngIf="msg === ''" class="flex flex-col items-center justify-center ">
                                <svg xmlns="http://www.w3.org/2000/svg" width="38" height="38" viewBox="0 0 38 38"
                                    fill="none">
                                    <path
                                        d="M21 5H5C3.93913 5 2.92172 5.42143 2.17157 6.17157C1.42143 6.92172 1 7.93913 1 9V29M1 29V33C1 34.0609 1.42143 35.0783 2.17157 35.8284C2.92172 36.5786 3.93913 37 5 37H29C30.0609 37 31.0783 36.5786 31.8284 35.8284C32.5786 35.0783 33 34.0609 33 33V25M1 29L10.172 19.828C10.9221 19.0781 11.9393 18.6569 13 18.6569C14.0607 18.6569 15.0779 19.0781 15.828 19.828L21 25M33 17V25M33 25L29.828 21.828C29.0779 21.0781 28.0607 20.6569 27 20.6569C25.9393 20.6569 24.9221 21.0781 24.172 21.828L21 25M21 25L25 29M29 5H37M33 1V9M21 13H21.02"
                                        stroke="#9CA3AF" stroke-width="2" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                                <p class="font-rubik text-secound-primary">Upload a file</p>
                            </div>
                            <img class="w-full h-full" [src]="url" *ngIf="url">
                            <input
                                [ngClass]="formBook.get('author')?.touched &&
              formBook.get('author')?.errors?.['required'] ?
 'bg-gray-50 border py-2 border-red-500 text-gray-900 text-sm rounded-lg focus:ring-red-500 focus:border-red-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-red-500 dark:focus:border-blue-500' : 'bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500'"
                                formControlName="bookImage" id="dropzone-file" type="file" class="hidden"
                                (change)="selectFile($event)" />
                        </label>
                    </div>
                    <div class="flex justify-center items-center">
                        <div class="font-medium">
                            <div class="mb-3">
                                <label>Title</label>
                                <input type="text" id="email-address-icon"
                                    class="bg-gray-50 border py-2 px-16 border-gray-300 text-gray-900 text-sm rounded-md focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5  dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                                    placeholder="Enter Title" formControlName="title"
                                    [ngClass]="formBook.get('title')?.touched &&
              formBook.get('title')?.errors?.['required'] ?
 'bg-gray-50 border py-2 border-red-500 text-gray-900 text-sm rounded-lg focus:ring-red-500 focus:border-red-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-red-500 dark:focus:border-blue-500' : 'bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500'">
                            </div>
                            <div class="mb-3">
                                <label>Author</label>
                                <input type="text" id="email-address-icon"
                                    class="bg-gray-50 border py-2 px-16 border-gray-300 text-gray-900 text-sm rounded-md focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5  dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                                    placeholder="Enter Author Name"
                                    [ngClass]="formBook.get('author')?.touched &&
                                    formBook.get('author')?.errors?.['required'] ?
                                    'bg-gray-50 border py-2 border-red-500 text-gray-900 text-sm rounded-lg focus:ring-red-500 focus:border-red-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-red-500 dark:focus:border-blue-500' : 'bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500'"
                                    formControlName="author">
                            </div>
                            <div>
                                <label>Category</label> <br>
                                <select formControlName="category"
                                    [ngClass]="formBook.get('category')?.touched &&
                                formBook.get('category')?.errors?.['required'] ?
                                'bg-gray-50 border py-2 border-red-500 text-gray-900 text-sm rounded-lg focus:ring-red-500 focus:border-red-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-red-500 dark:focus:border-blue-500' : 'bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500'"
                                    class="bg-gray-50 border py-2 px-16 border-gray-300 text-gray-900 text-sm rounded-md focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5  dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                                    <option *ngFor="let category of categories" [ngValue]="category">
                                        {{ category }}
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="mt-8 col-span-2">
                        <label for="message" class="block mb-2 font-medium">
                            Description</label>
                        <textarea
                            [ngClass]="formBook.get('description')?.touched &&
                        formBook.get('description')?.errors?.['required'] ?
                          'bg-gray-50 border py-2 border-red-500 text-gray-900 text-sm rounded-lg focus:ring-red-500 focus:border-red-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-red-500 dark:focus:border-blue-500' : 'bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500'"
                            id="message" rows="4"
                            class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                            placeholder="Enter your Description" formControlName="description"></textarea>
                        <button [disabled]="formBook.invalid" type="submit" (click)="handleCreateBook()"
                            class="text-black bg-secound-primary rounded-lg px-3 py-1 mt-2 font-semibold">Create</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>